﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{14AB8D24-25BC-400C-A846-4627AA945192}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HeuristicLab.Optimization</RootNamespace>
    <AssemblyName>HeuristicLab.Optimization-3.3</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>bin\Release\HeuristicLab.Optimization-3.3.XML</DocumentationFile>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>bin\x86\Release\HeuristicLab.Optimization-3.3.XML</DocumentationFile>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>bin\x64\Release\HeuristicLab.Optimization-3.3.XML</DocumentationFile>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <None Include="HeuristicLabOptimizationPlugin.cs.frame" />
    <Compile Include="Algorithms\Algorithm.cs" />
    <Compile Include="BatchRun.cs" />
    <Compile Include="Interfaces\IDiscreteDoubleMatrixModifier.cs" />
    <Compile Include="Algorithms\HeuristicOptimizationEngineAlgorithm.cs" />
    <Compile Include="Interfaces\IGlobalParticleUpdater.cs" />
    <Compile Include="Interfaces\ILocalImprovementOperator.cs" />
    <Compile Include="Interfaces\ILocalParticleUpdater.cs" />
    <Compile Include="Algorithms\HeuristicOptimizationAlgorithm.cs" />
    <Compile Include="Interfaces\IMultiNeighborhoodShakingOperator.cs" />
    <Compile Include="MoveHelper.cs" />
    <Compile Include="Problems\MultiObjectiveHeuristicOptimizationProblem.cs" />
    <Compile Include="Problems\HeuristicOptimizationProblem.cs" />
    <Compile Include="Problems\SingleObjectiveHeuristicOptimizationProblem.cs" />
    <Compile Include="Interfaces\IHeuristicOptimizationProblem.cs" />
    <Compile Include="Interfaces\IMultiAnalyzer.cs" />
    <Compile Include="Interfaces\IIterationBasedOperator.cs" />
    <Compile Include="Interfaces\IParticleCreator.cs" />
    <Compile Include="Interfaces\IParticleUpdater.cs" />
    <Compile Include="Interfaces\ISwarmUpdater.cs" />
    <Compile Include="Interfaces\ITopologyInitializer.cs" />
    <Compile Include="Interfaces\ITopologyUpdater.cs" />
    <Compile Include="Interfaces\IMultiObjectiveHeuristicOptimizationProblem.cs" />
    <Compile Include="Interfaces\ISingleObjectiveHeuristicOptimizationProblem.cs" />
    <Compile Include="Problems\Problem.cs" />
    <Compile Include="RunCollectionConstraints\RunCollectionComparisonConstraint.cs" />
    <Compile Include="RunCollectionConstraints\RunCollectionConstraintCollection.cs" />
    <Compile Include="RunCollectionConstraints\RunCollectionTypeCompatiblityConstraint.cs" />
    <Compile Include="RunCollectionConstraints\RunCollectionEqualityConstraint.cs" />
    <Compile Include="Interfaces\IAnalyzer.cs" />
    <Compile Include="Interfaces\ISingleObjectiveReplacer.cs" />
    <Compile Include="Interfaces\IMigrator.cs" />
    <Compile Include="Interfaces\IReplacer.cs" />
    <Compile Include="Interfaces\ISubScopesQualityComparator.cs" />
    <Compile Include="Interfaces\IQualityComparator.cs" />
    <Compile Include="Interfaces\ISelfAdaptiveManipulator.cs" />
    <Compile Include="Interfaces\IStrategyParameterCrossover.cs" />
    <Compile Include="Interfaces\IStrategyParameterManipulator.cs" />
    <Compile Include="Interfaces\IStrategyParameterCreator.cs" />
    <Compile Include="Interfaces\IRun.cs" />
    <Compile Include="RunCollectionConstraints\IRunCollectionConstraint.cs" />
    <Compile Include="OptimizerList.cs" />
    <Compile Include="Experiment.cs" />
    <Compile Include="Interfaces\IOptimizer.cs" />
    <Compile Include="RunCollection.cs" />
    <Compile Include="Run.cs" />
    <Compile Include="Interfaces\IResult.cs" />
    <Compile Include="Interfaces\IDiscreteDoubleValueModifier.cs" />
    <Compile Include="Interfaces\IExhaustiveMoveGenerator.cs" />
    <Compile Include="Interfaces\IMoveOperator.cs" />
    <Compile Include="Interfaces\IMultiMoveGenerator.cs" />
    <Compile Include="Interfaces\ISingleMoveGenerator.cs" />
    <Compile Include="Interfaces\ISingleObjectiveMoveEvaluator.cs" />
    <Compile Include="Interfaces\IMoveGenerator.cs" />
    <Compile Include="Interfaces\IMoveMaker.cs" />
    <Compile Include="Interfaces\IMultiObjectiveSelector.cs" />
    <Compile Include="Interfaces\ISingleObjectiveSelector.cs" />
    <Compile Include="Interfaces\IReducer.cs" />
    <Compile Include="Interfaces\ISelector.cs" />
    <Compile Include="Interfaces\IMultiObjectiveEvaluator.cs" />
    <Compile Include="Interfaces\IAlgorithm.cs" />
    <Compile Include="Interfaces\ICrossover.cs" />
    <Compile Include="Interfaces\IEvaluator.cs" />
    <Compile Include="Interfaces\IManipulator.cs" />
    <Compile Include="Interfaces\IProblem.cs" />
    <Compile Include="Interfaces\ISingleObjectiveEvaluator.cs" />
    <Compile Include="Interfaces\ISolutionCreator.cs" />
    <Compile Include="Interfaces\IStochasticOperator.cs" />
    <Compile Include="Interfaces\ITabuChecker.cs" />
    <Compile Include="Interfaces\ITabuMaker.cs" />
    <Compile Include="Result.cs" />
    <Compile Include="Algorithms\UserDefinedAlgorithm.cs" />
    <Compile Include="Algorithms\EngineAlgorithm.cs" />
    <Compile Include="HeuristicLabOptimizationPlugin.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ResultCollection.cs" />
    <Compile Include="Problems\UserDefinedProblem.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="HeuristicLab.snk" />
    <None Include="Properties\AssemblyInfo.frame" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
      <Project>{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}</Project>
      <Name>HeuristicLab.Collections-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
      <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
      <Name>HeuristicLab.Common.Resources-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
      <Name>HeuristicLab.Common-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
      <Name>HeuristicLab.Core-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
      <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
      <Name>HeuristicLab.Data-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
      <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
      <Name>HeuristicLab.Parameters-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
      <Name>HeuristicLab.Persistence-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <PropertyGroup>
    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
set ProjectDir=$(ProjectDir)
set SolutionDir=$(SolutionDir)
set Outdir=$(Outdir)

call PreBuildEvent.cmd
SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabOptimizationPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabOptimizationPlugin.cs"</PreBuildEvent>
  </PropertyGroup>
</Project>